## pymc 2.2%2Bds

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# override HOME (for weave) and matplotlib config directory
# to allow building in chroots with read-only HOME
export HOME=$(CURDIR)/build
export MPLCONFIGDIR=$(HOME)

include /usr/share/python/python.mk

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	export OPT+=-O0
	export FOPT+=-O0
endif

# one rule to rule them all ...
%:
# need to enforce distutils, since we also have a makefile
	dh $@ --buildsystem=python_distutils --builddirectory=build --with python2

override_dh_auto_build:
	: # Cython pyx sources
	for f in */*.pyx; do cython $$f; done

	dh_auto_build
	echo "backend : Agg" >| build/matplotlibrc

	: # and docs
	PYTHONPATH=$(CURDIR)/$(call py_builddir_sh) \
	  $(MAKE) -C docs html
	: # but remove jquery copy (later on link to Debian's version)
	-rm build/html/_static/jquery.js
	-rm build/html/_static/underscore.js
	: # objects inventory is of no use for the package
	-rm build/html/objects.inv
	: # also doc source files only consume space
	-rm -r build/html/_sources

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for v in $(shell pyversions -vr); do \
		echo "I: Running PyMC unittests using python$$v"; \
		 python$$v /usr/bin/nosetests -v -s --exclude='test_(interactive|gradients|LazyFunction|consistency|random|missing)' \
		 	$(call py_builddir_sh, $$v)/pymc || exit 1 ;\
	done
endif

override_dh_install:
	dh_install
	dh_numpy

## immediately useable documentation
## and exemplar data (they are small excerpts anyway)
override_dh_compress:
	dh_compress -X.py -X.html -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -X.par -X.bin

override_dh_auto_clean:
	dh_auto_clean
	for f in */*.pyx; do rm -f $${f%.pyx}.c; done

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts="dversionmangle=s/\+ds\d*//,filenamemangle=s/.*\/(.*)/pymc-$1\.tar\.gz/" \
  http://github.com/pymc-devs/pymc/tags .*tarball/v(\d[\d\.a-z]+)

## pymc 2.2+ds

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build
HTMLBUILDDIR  = ~/Code/pymc-pages

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(HTMLBUILDDIR)
	@echo
	@echo "Build finished. The HTML pages are in $(HTMLBUILDDIR)."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PyMC.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PyMC.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PyMC"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PyMC"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
pymc (2.2+ds-1) unstable; urgency=low

  * Initial Debian release (Closes: #690800)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 30 Oct 2012 19:03:47 -0400

=== debian/control ===
Source: pymc
Section: python
Priority: extra
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7.2.18),
               gfortran, liblapack-dev,
               python-all-dev (>= 2.5),
               python-numpy (>= 1.6),
               python-scipy,
               python-nose,
               python-sphinx,
               cython,
               python-tables,
               python-matplotlib,
Standards-Version: 3.9.3
Homepage: http://pymc-devs.github.com/pymc/
Vcs-Browser: https://github.com/neurodebian/pymc
Vcs-Git: git://github.com/neurodebian/pymc.git
XS-Python-Version: >= 2.6

Package: python-pymc
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends},
         python-numpy,
         python-scipy,
         python-matplotlib,
         python-nose
Recommends: python-tables,
Suggests: python-pydot, ipython
Description: Bayesian statistical models and fitting algorithms
 PyMC is a Python module that implements Bayesian statistical models
 and fitting algorithms, including Markov chain Monte Carlo. Its
 flexibility and extensibility make it applicable to a large suite of
 problems. Along with core sampling functionality, PyMC includes
 methods for summarizing output, plotting, goodness-of-fit and
 convergence diagnostics.


Package: python-pymc-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
Description: Bayesian statistical models and fitting algorithms
 PyMC is a Python module that implements Bayesian statistical models
 and fitting algorithms, including Markov chain Monte Carlo. Its
 flexibility and extensibility make it applicable to a large suite of
 problems. Along with core sampling functionality, PyMC includes
 methods for summarizing output, plotting, goodness-of-fit and
 convergence diagnostics.
 .
 This package provides the documentation in HTML format.

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # one rule to rule them all ...
 %:
 # need to enforce distutils, since we also have a makefile
-	dh $@ --buildsystem=python_distutils --builddirectory=build --with python2
+	dh $@ --buildsystem=python_distutils --builddirectory=build
 
 override_dh_auto_build:
 	: # Cython pyx sources

## pymc 2.3.4+ds

=== debian/changelog ===
pymc (2.3.4+ds-1~nd14.04+1) trusty; urgency=low

  * Backported for trusty.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 25 Dec 2014 16:37:21 -0500

pymc (2.3.4+ds-1) experimental; urgency=medium

  * "Fresh" upstream release
  * droppping debian/patches/deb_htmldoc_path (no custom paths upstream any
    more)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 25 Dec 2014 13:24:57 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pymc
 Section: python
 Priority: extra
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.2.18),
                gfortran, liblapack-dev,
@@ -21,7 +22,7 @@
 
 Package: python-pymc
 Architecture: any
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends},
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends}, ${shlibs:Depends},
          python-numpy,
          python-scipy,
          python-matplotlib,
@@ -40,7 +41,7 @@
 Package: python-pymc-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
+Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery, libjs-underscore
 Description: Bayesian statistical models and fitting algorithms
  PyMC is a Python module that implements Bayesian statistical models
  and fitting algorithms, including Markov chain Monte Carlo. Its

=== debian/rules ===
--- 
+++ 
@@ -29,12 +29,12 @@
 	PYTHONPATH=$(CURDIR)/$(call py_builddir_sh) \
 	  $(MAKE) -C docs html
 	: # but remove jquery copy (later on link to Debian's version)
-	-rm build/html/_static/jquery.js
-	-rm build/html/_static/underscore.js
+	-rm docs/_build/html/_static/jquery.js
+	-rm docs/_build/html/_static/underscore.js
 	: # objects inventory is of no use for the package
-	-rm build/html/objects.inv
+	-rm docs/_build/html/objects.inv
 	: # also doc source files only consume space
-	-rm -r build/html/_sources
+	-rm -r docs/_build/html/_sources
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

## pymc bart-0.2.1

=== requirements.txt ===
pymc>=4.0.1
arviz
numba
matplotlib<=3.5.2

## pymc bart-0.3.2

=== requirements.txt ===
pymc>=5.0.0
arviz
numba
matplotlib<=3.5.2

## pymc bart-0.5.3

=== requirements.txt ===
pymc>=5.0.0
arviz
numba
matplotlib
numpy<1.25.0
